%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ECE544 HW#5 construct test examples for the function 'minrealp'
% which determine the minimal polynomial-matrix realization
% of a given polynomial-matrix system.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%  echo on
   diary minreal.res
   polpac_init
%
% ********Example one********
%
   A = [ zeros(3,1) , eye(3) ; [0,-2,-5,-4] ];
   B = zeros(4,1); B(4) = 1;
   C = [ 1 3 3 1
      0 2 4 2 ];
   D = [ 3 ; 4 ];
   Sa = newsyst(A,B,C,D,0);

   disp('The orginal polynomial-matrix system in mode 0:')
   show(Sa);

   Sb = c07(Sa);
   disp('The orginal polynomial-matrix system in mode 7:')
   show(Sb);

%   [PP,QQ,RR,WW] = c71(Sb);
%   Sc = c17(PP,QQ,RR,WW);
%   return

%
%  Find a minimal realization of Sb:
%
   [Sbmin,Zbid,Zboi] = minrealp(Sb);
   disp('The minimal polynomial-matrix realization in mode 7:')
   show(Sbmin);

   Sc = c78(Sb);
   disp('The orginal polynomial-matrix system in mode 8:')
   show(Sc)
%
%  Find a minimal realization of Sc:
%
   [Scmin,Zcid,Zcoi] = minrealp(Sc);
   disp('The minimal polynomial-matrix realization in mode 8:')
   show(Scmin);
%
   diary off 
   return

   clear all;
%
% ********Example two********
%
   A11 = [0 0 -2; 1 0 -5; 0 1 -4];
   A = [A11,zeros(3);zeros(3),A11];
   B = [2 2; 1 4; 0 2;  2 4; 3 0; 1 0];
   C = [ 0 0 1 0 0 0;  0 0 0 0 0 1];
   D = zeros(2);
   Sa = newsyst(A,B,C,D,0);
  

   disp('The orginal polynomial-matrix system in mode 0:')
   show(Sa);

   Sb = c07(Sa);
   disp('The orginal polynomial-matrix system in mode 7:')
   show(Sb);
%
%  Find a minimal realization of Sb:
%
   [Smin,Zid,Zoi] = minrealp(Sb);
   disp('The minimal polynomial-matrix realization in mode 7:')
   show(Smin);
%
%  Check S = [Zid,0; 0,eye()] * Smin * [Zoi,0; 0;eye()];
%
   [Poi,Qid,Roi,W] = c71(Smin);
   Pid = mult(Poi,Zoi);
   PP = mult(Zid,Pid);
   QQ = mult(Zid,Qid);
   RR = mult(Roi,Zoi);
   SS = c17(PP,QQ,RR,W);
   disp('The following result is expected to be same as Sb')
   show(SS);

%   
%  Check the roots of Poi,Zid,Zoi and P
%
%  check the roots of Roi,Zoi and R
%
   diary off
   return
