function [s3] = sub(s1,s2)
%
%  This function subtracts two POLPAC data structures s1 and s2.
%
%  Input Parameters:
%  -----------------
%
%    s1     := POLPAC data structure (any mode)
%    s2     := POLPAC data structure (any mode)
%
%  Output Parameters:
%  ------------------
%
%    s3     := POLPAC data structure (any mode)
%
push('SUB')
%
%  Subtract the two data structures at once.
%
ss2 = minus(s2);
s3 = add(s1,ss2);
%
pull
return
