diary test2_2.dry
echo on
%
%  Test [2.2]: Inversion of a POLPAC system
%  ----------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = [ 1 0 0 ];
p12 = -3;
p21 = [ 1 2/3 ];
p22 = 1;
%
Pm = zerop(2,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
show(Pm,'Pm')
%
Gm = invp(Pm);
show(Gm,'Gm')
%
Gm2 = invg(Gm);
show(Gm2,'Gm2')
%
Pm2 = reduceg(Gm2);
show(Pm2,'Pm2')
%
Ig = mult(Pm,Gm);
show(Ig,'Ig')
%
Ip = reduceg(Ig);
show(Ip,'Ip')
%
diary off
return
