diary test4_1.dry
echo on
%
%  Test [4.1]: Triangularization of a POLPAC System
%  ------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = [ 1 1 ];
p12 = [ 1 2 1 ];
p13 = [ 2 0 0 0 ];
p21 = [ 2 -2 ];
p22 = [ -2 0 1 ];
p23 = [ 2 0 0 ];
p31 = [ -1 0 0 0 ];
p32 = [ 5 -2 ];
p33 = [ 1 0];
%
Pm = zerop(3,3,1,4,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp13 = newpoly(p13,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
pp23 = newpoly(p23,0);
pp31 = newpoly(p31,0);
pp32 = newpoly(p32,0);
pp33 = newpoly(p33,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp13,1,3);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
Pm = put(Pm,pp23,2,3);
Pm = put(Pm,pp31,3,1);
Pm = put(Pm,pp32,3,2);
Pm = put(Pm,pp33,3,3);
show(Pm,'Pm')
%
[Q,R] = qrp(Pm);
show(Q,'Q')
show(R,'R')
Pm2 = multp(Q,R);
show(Pm2,'Pm2')
%
diary off
return
