diary test4_6.dry
echo on
%
%  Test [4.6]: Diagonalization of a singular POLPAC System
%  -------------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = 1;
p12 = [ 2 1 ];
p13 = [ 1 0 ];
p21 = 1;
p22 = [1 5 3];
p23 = p13;
p31 = 1;
p32 = p12;
p33 = p13;
%
Pm = zerop(3,3,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp13 = newpoly(p13,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
pp23 = newpoly(p23,0);
pp31 = newpoly(p31,0);
pp32 = newpoly(p32,0);
pp33 = newpoly(p33,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp13,1,3);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
Pm = put(Pm,pp23,2,3);
Pm = put(Pm,pp31,3,1);
Pm = put(Pm,pp32,3,2);
Pm = put(Pm,pp33,3,3);
%
qa = [ 1 1 ];
qb = [ 1 2 ];
q11 = conv(qa,qb);
q12 = q11;
q13 = q11;
q21 = conv(qa,qa);
q22 = q21;
q23 = q21;
q31 = conv(qa,q11);
q32 = q31;
q33 = q31;
%
Qm = zerop(3,3,1,4,0,0);
qq11 = newpoly(q11,0);
qq12 = newpoly(q12,0);
qq13 = newpoly(q13,0);
qq21 = newpoly(q21,0);
qq22 = newpoly(q22,0);
qq23 = newpoly(q23,0);
qq31 = newpoly(q31,0);
qq32 = newpoly(q32,0);
qq33 = newpoly(q33,0);
Qm = put(Qm,qq11,1,1);
Qm = put(Qm,qq12,1,2);
Qm = put(Qm,qq13,1,3);
Qm = put(Qm,qq21,2,1);
Qm = put(Qm,qq22,2,2);
Qm = put(Qm,qq23,2,3);
Qm = put(Qm,qq31,3,1);
Qm = put(Qm,qq32,3,2);
Qm = put(Qm,qq33,3,3);
Gm = c14(Pm,Qm);
Gm = c45(Gm);
show(Gm,'Gm')
%
[U,M,V] = svdg(Gm);
M = round(M);
M = reduceg(M);
show(U,'U')
show(M,'M')
show(V,'V')
Gm2 = multg(U,multg(M,transpose(V)));
Gm2 = reduceg(Gm2);
show(Gm2,'Gm2')
%
diary off
return
