diary test5_3.dry
echo on
%
%  Test [5.3]: Coprime factorizations of a POLPAC System
%  -----------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
%  Enter the system
%
A = [ 0     1     0
      2     1     0
      0     0     1 ];
B = [ 0     0
      1     0
      2     1 ];
C = [ 1     0     1
      0     1     1 ];
D = zeros(2);
n = 3;
m = 2;
p = 2;
stype = 0;
mode = 4;
dom = 0;
S = newsyst(A,B,C,D,stype);
Gm = ss2tfm(S,mode,dom);
Gm = reduceg(Gm);
show(Gm,'Gm')
%
[N,M,U,V,K] = rcf(Gm);
show(N,'N')
show(M,'M')
show(U,'U')
show(V,'V')
show(K,'K')
%
[Nt,Mt,Ut,Vt,Kt] = lcf(Gm);
show(Nt,'Nt')
show(Mt,'Mt')
show(Ut,'Ut')
show(Vt,'Vt')
show(Kt,'Kt')
%
B11 = sub(multg(Vt,M),multg(Ut,N));
B11 = reduceg(B11);
show(B11,'B11')
%
B12 = sub(multg(Vt,U),multg(Ut,V));
B12 = reduceg(B12);
show(B12,'B12')
%
B21 = sub(multg(Mt,N),multg(Nt,M));
B21 = reduceg(B21);
show(B21,'B21')
%
B22 = sub(multg(Mt,V),multg(Nt,U));
B22 = reduceg(B22);
show(B22,'B22')
%
show(Gm,'Gm')
Gm2 = multg(N,invg(M));
Gm2 = reduceg(Gm2);
show(Gm2,'Gm2')
Gm3 = multg(invg(Mt),Nt);
Gm3 = reduceg(Gm3);
show(Gm3,'Gm3')
%
show(K,'K')
K2 = multg(U,invg(V));
K2 = reduceg(K2);
show(K2,'K2')
K3 = multg(invg(Vt),Ut);
K3 = reduceg(K3);
show(K3,'K3')
%
diary off
return
