%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ECE544 HW#5 A example to use the function lcrd: find the largest
% common right divider of two polynomial matrices Pm and Rm.
% This example is selected from ECE501 notes p452.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  clear all;
  polpac_init
  
  echo on;
  diary lcrd.res
%
%******** Construct the polynomial matrix Pm
%
p11 = [1 0 0];
p12 = -1;
p21 = [-1 0];
p22 = [1 0 0];
%
Pc = zerop(2,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0); 
Pc = put(Pc,pp11,1,1);
Pc = put(Pc,pp12,1,2);
Pc = put(Pc,pp21,2,1);
Pc = put(Pc,pp22,2,2);
Pm = Pc;

disp('The given polynomial matrix Pm:') 
show(Pm);
%
%******** Construct the polynomial matrix Rm
%
p11 = [1 0 ];
p12 = [-1 0];
p21 = 0;
p22 = 1;
%
Pc = zerop(2,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0); 
Pc = put(Pc,pp11,1,1);
Pc = put(Pc,pp12,1,2);
Pc = put(Pc,pp21,2,1);
Pc = put(Pc,pp22,2,2);
Rm = Pc;
disp('The given polynomial matrix Rm:') 
show(Rm);
%
%******** Find LCRD by function lcrd
%
[Tu,Q] = lcrd(Pm,Rm);
%
%  Find the determinant of the POLPAC polynomial matrices 
%  
   detQ = rdetp(Q);
   detTu= rdetp(Tu);

   disp('The unimodular polynomial matrix Q :')
   show(Q);

   disp('The determinant of Q:')
   show(detQ);

   disp('The largest common right divider of Pm and Rm:')
   show(Tu);

   disp('The determinant of the largest common right divider:')
   show(detTu);

   diary off
%%%%%%%%%%%%%%%%%%% END OF PROGRAM %%%%%%%%%%%%%%%%%%%%%%%%%%%
