function [] = polpac_globals()
%
%  The following global variables are currently supported by POLPAC:
%
%    debg       ::= Debugging flag.  This flag can be set by the user, and
%                   has the following meaning:
%                     debg = 0 :  No debugging takes place (default).
%                     debg = 1 :  Application codes (control) are debugged.
%                     debg = 2 :  Also data conversion routines are debugged.
%                     debg = 3 :  Even auxiliary functions are being debugged.
%    equalflag  ::= Method selector for the EQUALIZE function.
%                     equalflag = 0 :  MROOT0 is called (default).
%                     equalflag = 1 :  MROOT1 is called.
%                     equalflag = 2 :  MROOT2 is called.
%    mrtflag    ::= Method selector for computing multiplicities of roots.
%                     mrtflag = 0 :  MROOT0 is used (default).
%                     mrtflag = 1 :  MROOT1 is used.
%                     mrtflag = 2 :  MROOT2 is used.
%    neigflag   ::= Method selector for multiplicities of eigenvalues.
%                     neigflag = 1 :  NEIG1 is used.
%                     neigflag = 2 :  NEIG2 is used (default).
%    stkdepth   ::= A counter for the function stack depth.  If higher
%                   than 10, POLPAC dies gracefully rather than going
%                   haywire.
%    traceflag  ::= Tracing flag.  This flag is set by the user through
%                   the use of TRACEON and TRACEOFF
%                     traceflag = 0 :  Tracing is disabled
%                     traceflag = 1 :  Tracing is enabled
%    trastk1 ..
%    trastk20   ::= Tracestack.  Each contains one (packed) subroutine name.
%    traverbose ::= Trace debugging flag.  This flag can be set by the user.
%                   Its effect will be to generate a trace whenever a new
%                   POLPAC function is entered (for debugging purposes)
%                     traverbose = 0 :  Trace debugging is disabled
%                     traverbose = 1 :  Trace debugging is enabled
%    warn       ::= Warning flag.  This flag can be set by the user, and
%                   has the following meaning:
%                     warn = 0 :  No warning messages are printed.
%                     warn = 1 :  Warning messages are printed (default).
%
return
