diary test.dry
echo on
%
%  Test [5.3]: Coprime factorizations of a POLPAC System
%  -----------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
%  Enter the system
%
A = [ 0     1     0
      2     1     0
      0     0     1 ];
B = [ 0     0
      1     0
      2     1 ];
C = [ 1     0     1
      0     1     1 ];
D = zeros(2);
n = 3;
m = 2;
p = 2;
stype = 0;
mode = 4;
dom = 0;
S = newsyst(A,B,C,D,stype);
Gm = c04(S);
Gm = reduceg(Gm);
show(Gm,'Gm')
%
[M,N,U,V,K] = rcf(Gm);
%
[Mt,Nt,Ut,Vt,Kt] = lcf(Gm);
%
%  B11 = sub(multg(Vt,M),multg(Ut,N));
%
m11 = gget(M,1,1);
m12 = gget(M,1,2);
m21 = gget(M,2,1);
m22 = gget(M,2,2);
n11 = gget(N,1,1);
n12 = gget(N,1,2);
n21 = gget(N,2,1);
n22 = gget(N,2,2);
ut11 = gget(Ut,1,1);
ut12 = gget(Ut,1,2);
ut21 = gget(Ut,2,1);
ut22 = gget(Ut,2,2);
vt11 = gget(Vt,1,1);
vt12 = gget(Vt,1,2);
vt21 = gget(Vt,2,1);
vt22 = gget(Vt,2,2);
[pm11,qm11] = c41(m11);
[pm12,qm12] = c41(m12);
[pm21,qm21] = c41(m21);
[pm22,qm22] = c41(m22);
[pn11,qn11] = c41(n11);
[pn12,qn12] = c41(n12);
[pn21,qn21] = c41(n21);
[pn22,qn22] = c41(n22);
[put11,qut11] = c41(ut11);
[put12,qut12] = c41(ut12);
[put21,qut21] = c41(ut21);
[put22,qut22] = c41(ut22);
[pvt11,qvt11] = c41(vt11);
[pvt12,qvt12] = c41(vt12);
[pvt21,qvt21] = c41(vt21);
[pvt22,qvt22] = c41(vt22);
qMN = qm11;
qUV = qut11;
pm11 = oldpoly(pm11);
pm12 = oldpoly(pm12);
pm21 = oldpoly(pm21);
pm22 = oldpoly(pm22);
pn11 = oldpoly(pn11);
pn12 = oldpoly(pn12);
pn21 = oldpoly(pn21);
pn22 = oldpoly(pn22);
put11 = oldpoly(put11);
put12 = oldpoly(put12);
put21 = oldpoly(put21);
put22 = oldpoly(put22);
pvt11 = oldpoly(pvt11);
pvt12 = oldpoly(pvt12);
pvt21 = oldpoly(pvt21);
pvt22 = oldpoly(pvt22);
qMN = oldpoly(qMN);
qUV = oldpoly(qUV);
%
VtM = multg(Vt,M);
VtM = reduceg(VtM);
show(VtM,'VtM')
%
qVtM = conv(qUV,qMN)
a = conv(pvt11,pm11);
b = conv(pvt12,pm21);
lab = length(a) - length(b);
lba = - lab;
pVtM11 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(pvt11,pm12);
b = conv(pvt12,pm22);
lab = length(a) - length(b);
lba = - lab;
pVtM12 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(pvt21,pm11);
b = conv(pvt22,pm21);
lab = length(a) - length(b);
lba = - lab;
pVtM21 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(pvt21,pm12);
b = conv(pvt22,pm22);
lab = length(a) - length(b);
lba = - lab;
pVtM22 = [zeros(1,lba),a] + [zeros(1,lab),b]
%
UtN = multg(Ut,N);
UtN = reduceg(UtN);
show(UtN,'UtN')
%
qUtN = conv(qUV,qMN)
a = conv(put11,pn11);
b = conv(put12,pn21);
lab = length(a) - length(b);
lba = - lab;
pUtN11 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(put11,pn12);
b = conv(put12,pn22);
lab = length(a) - length(b);
lba = - lab;
pUtN12 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(put21,pn11);
b = conv(put22,pn21);
lab = length(a) - length(b);
lba = - lab;
pUtN21 = [zeros(1,lba),a] + [zeros(1,lab),b]
a = conv(put21,pn12);
b = conv(put22,pn22);
lab = length(a) - length(b);
lba = - lab;
pUtN22 = [zeros(1,lba),a] + [zeros(1,lab),b]
%
B = sub(VtM,UtN);
B = reduceg(B);
show(B,'B')
%
qB = conv(qVtM,qUtN)
a = conv(pVtM11,qUtN);
b = conv(pUtN11,qVtM);
lab = length(a) - length(b);
lba = - lab;
pB11 = [zeros(1,lba),a] - [zeros(1,lab),b]
a = conv(pVtM12,qUtN);
b = conv(pUtN12,qVtM);
lab = length(a) - length(b);
lba = - lab;
pB12 = [zeros(1,lba),a] - [zeros(1,lab),b]
a = conv(pVtM21,qUtN);
b = conv(pUtN21,qVtM);
lab = length(a) - length(b);
lba = - lab;
pB21 = [zeros(1,lba),a] - [zeros(1,lab),b]
a = conv(pVtM22,qUtN);
b = conv(pUtN22,qVtM);
lab = length(a) - length(b);
lba = - lab;
pB22 = [zeros(1,lba),a] - [zeros(1,lab),b]
%
B11 = sub(multg(Vt,M),multg(Ut,N));
B11 = reduceg(B11);
show(B11,'B11')
%
diary off
return
