%  Test adding two POLPAC matrices
%  -------------------------------
%
diary test1_6.dry
echo on
polpac_init
%
p11 = [ 1 0 ];
p12 = [ 1 3 2 ];
p21 = 5;
p22 = [ 2 7 ];
p31 = [ 1 1 1 ];
p32 = 0;
%
Pc = zerop(3,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
pp31 = newpoly(p31,0);
pp32 = newpoly(p32,0);
Pc = put(Pc,pp11,1,1);
Pc = put(Pc,pp12,1,2);
Pc = put(Pc,pp21,2,1);
Pc = put(Pc,pp22,2,2);
Pc = put(Pc,pp31,3,1);
Pc = put(Pc,pp32,3,2);
show(Pc,'Pc')
%
dom = unitcircle(8);
Pd = c13(Pc,dom);
show(Pd,'Pd')
%
Pe = add(Pd,Pd);
show(Pe,'Pe')
%
Pf = c31(Pe,8);
Pg = realp(Pf);
show(Pg,'Pg')
%
diary off
return
