%  Test conversions of a POLPAC system between time and frequency domains
%  ----------------------------------------------------------------------
%
diary test2_0.dry
echo on
polpac_init
%
A = [ zeros(3,1) , eye(3) ; [0,-2,-5,-4] ];
B = zeros(4,1); B(4) = 1;
C = [ 1 3 3 1
      0 2 4 2 ];
D = [ 3 ; 4 ];
Sa = newsyst(A,B,C,D,0);
show(Sa)
Sb = c04(Sa);
show(Sb,'Sb')
p11 = newpoly(3,0);
p21 = newpoly(4,0);
P = zerop(2,1,1,1,0,0);
P = put(P,p11,1,1);
P = put(P,p21,2,1);
show(P,'P')
Q = onesp(2,1,1,1,0,0);
show(Q,'Q')
G = c14(P,Q);
show(G,'G')
Sb = sub(Sb,G);
show(Sb,'Sb')
Sc = c45(Sb);
show(Sc,'Sc')
Sc = reduceg(Sc);
show(Sc,'Sc')
Sd = transpose(Sc);
show(Sd,'Sd')
Se = mult(Sc,Sd);
show(Se,'Se')
Sf = c54(Se);
show(Sf,'Sf')
Sg = c40(Sf);
show(Sg)
%
diary off
return
