diary test4_2.dry
echo on
%
%  Test [4.2]: Diagonalization of a POLPAC System
%  ----------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = 1;
p12 = 1;
p21 = [ 1 0 ];
p22 = [ 2 1 ];
%
Pm = zerop(2,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
show(Pm,'Pm')
%
[U,S,V] = svdp(Pm);
show(U,'U')
show(S,'S')
show(V,'V')
Pm2 = multp(U,multp(S,transpose(V)));
show(Pm2,'Pm2')
%
diary off
return
