diary test4_4.dry
echo on
%
%  Test [4.4]: Diagonalization of a POLPAC System
%  ----------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p = [ 1 0 ];
q1 = [ 1 1 ];
q2 = [ 1 2 ];
%
G = zerop(2,2,5,5,0,0);
pp = newpoly(p,0);
qq1 = newpoly(q1,0);
qq2 = newpoly(q2,0);
pp = c12(pp);
qq1 = c12(qq1);
qq2 = c12(qq2);
q12 = multp1(qq2,qq2);
q11 = multp1(q12,multp1(qq1,qq1));
g11 = c25(pp,q11);
g12 = c25(pp,q12);
g21 = minus(g12);
g22 = g21;
G = put(G,g11,1,1);
G = put(G,g12,1,2);
G = put(G,g21,2,1);
G = put(G,g22,2,2);
show(G,'G')
%
[U,S,V] = svdg(G);
show(U,'U')
show(S,'S')
show(V,'V')
G2 = mult(U,mult(S,transpose(V)));
show(G2,'G2')
G3 = reduceg(G2);
show(G3,'G3')
%
diary off
return
