diary test4_5.dry
echo on
%
%  Test [4.5]: Diagonalization of a singular POLPAC System
%  -------------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = [ 1 1 ];
pa = [ 2 1 ];
p12 = conv(p11,pa);
pb = [ 1 0 ];
p13 = conv(p11,pb);
p21 = [ 1 2 ];
pc = [1 5 3];
p22 = conv(p21,pc);
p23 = conv(p21,pb);
p31 = 1;
p32 = pa;
p33 = pb;
%
Pm = zerop(3,3,1,4,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp13 = newpoly(p13,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
pp23 = newpoly(p23,0);
pp31 = newpoly(p31,0);
pp32 = newpoly(p32,0);
pp33 = newpoly(p33,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp13,1,3);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
Pm = put(Pm,pp23,2,3);
Pm = put(Pm,pp31,3,1);
Pm = put(Pm,pp32,3,2);
Pm = put(Pm,pp33,3,3);
Pm = c12(Pm);
show(Pm,'Pm')
%
[U,S,V] = svdp(Pm);
show(U,'U')
show(S,'S')
show(V,'V')
Pm2 = multp(U,multp(S,transpose(V)));
show(Pm2,'Pm2')
%
diary off
return
