diary test4_7.dry
echo on
%
%  Test [4.7]: Triangularization of a rectangular polynomial matrix
%  ----------------------------------------------------------------
%
polpac_init
global debg
debg = 3;
%
p11 = [ 1 0 0 ];
p12 = -1;
p21 = [ -1 0 ];
p22 = p11;
r11 = -p21;
r12 = p21;
r21 = 0;
r22 = 1;
%
Pm = zerop(2,2,1,3,0,0);
pp11 = newpoly(p11,0);
pp12 = newpoly(p12,0);
pp21 = newpoly(p21,0);
pp22 = newpoly(p22,0);
Pm = put(Pm,pp11,1,1);
Pm = put(Pm,pp12,1,2);
Pm = put(Pm,pp21,2,1);
Pm = put(Pm,pp22,2,2);
show(Pm,'Pm')
%
Rm = zerop(2,2,1,2,0,0);
rr11 = newpoly(r11,0);
rr12 = newpoly(r12,0);
rr21 = newpoly(r21,0);
rr22 = newpoly(r22,0);
Rm = put(Rm,rr11,1,1);
Rm = put(Rm,rr12,1,2);
Rm = put(Rm,rr21,2,1);
Rm = put(Rm,rr22,2,2);
show(Rm,'Rm')
%
PRm = vconc(Pm,Rm);
show(PRm,'PRm')
%
[Q,R] = qrp(PRm);
show(Q,'Q')
show(R,'R')
%
[n,m] = logdim(R);
Tu = gget(R,1:m,1:m);
show(Tu,'Tu')
%
diary off
return
