function [] = ttrace()
%
%  This function displays the current TRACE stack (trastk) content.
%
global stkdepth
global traceflag
global trastk1 trastk2 trastk3 trastk4 trastk5
global trastk6 trastk7 trastk8 trastk9 trastk10
global trastk11 trastk12 trastk13 trastk14 trastk15
global trastk16 trastk17 trastk18 trastk19 trastk20
%
%  Check first whether the tracing facility has been enabled
%
if traceflag == 0,
  t1 = ' *** The TRACE facility is disabled. *** ';
  t2 = ' To enable tracing, use function TRACEON ';
  txt = [ t1 ; t2 ];
  disp(txt),
  return,
end
%
%  Okay, tracing was enabled.  Proceed normally.
%
t1 = 'TRACE:    ';
t2 = '------    ';
txt = [ t1 ; t2 ];
if stkdepth ~= 0,
  for i=1:stkdepth,
    if i ==  1,  temp = trastk1;  end,
    if i ==  2,  temp = trastk2;  end,
    if i ==  3,  temp = trastk3;  end,
    if i ==  4,  temp = trastk4;  end,
    if i ==  5,  temp = trastk5;  end,
    if i ==  6,  temp = trastk6;  end,
    if i ==  7,  temp = trastk7;  end,
    if i ==  8,  temp = trastk8;  end,
    if i ==  9,  temp = trastk9;  end,
    if i == 10,  temp = trastk10; end,
    if i == 11,  temp = trastk11; end,
    if i == 12,  temp = trastk12; end,
    if i == 13,  temp = trastk13; end,
    if i == 14,  temp = trastk14; end,
    if i == 15,  temp = trastk15; end,
    if i == 16,  temp = trastk16; end,
    if i == 17,  temp = trastk17; end,
    if i == 18,  temp = trastk18; end,
    if i == 19,  temp = trastk19; end,
    if i == 20,  temp = trastk20; end,
    ttxt = ' '*ones(1,10);
    if temp ~= 0,
      for k=10:-1:1,
        t1 = round(temp/45 - 0.5 + 10*eps);
        tx = round(temp - 45*t1);
        if tx <  0,  tx = 43;  end,
        if tx > 43,  tx = 43;  end,
        if tx == 43,
          ttxt(k) = ' ';
          else
          ttxt(k) = setstr(tx + 48);
        end,
        temp = t1;
      end,
    end,
    txt = [ txt ; ttxt ];
  end,
end
[nstk,mstk] = size(txt);
txt = [ txt , ' '*ones(nstk,15) ];
if nstk > 3,
  t = '   DID CALL -->';
  for i=3:nstk-1,
    txt(i,11:25) = t;
  end,
end
if nstk == 2
  t = ' *** EMPTY *** ';
  txt = [ txt ; t , ' '*ones(1,10) ];
end
disp(txt)
%
return
